Subject: A question:

From: [email-masked] (Mi Mi)
Date: Sat, 25 Sep 93 18:34:15 CDT

The notice says the alien registration card will be mailed directly to my
wife in approximately 6 month. Now my question is, if we move, how can we 
inform the INS our new address? 

Besides, is there anyone who needs an interview? I mean principals. According
to the INS wire (I forget the number), those who fell out status prior to
10/9/92, and had not applied any benefits based on E.O.12711 needs to be 
interviewed. Maybe many of those guys are not on the net.

We kept our status up to now, although both of us had 6.4. WP since 7/9/90,
and I got AP last year (to send Mi Mi back to China). It is very interesting
that Mi Mi arrived in China on 8/1/92, so she does not break the 90 day rule,

Mi Mi